Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.processor
Class AbstractInterceptingMessageProcessor

    java.lang.Object
      org.mule.processor.AbstractInterceptingMessageProcessor

All Implemented Interfaces:
  InterceptingMessageProcessor, MessageProcessor, MessageSource

Direct Known Subclasses:
  AbstractAggregator, AbstractAsyncRequestReplyRequester, AbstractEnvelopeInterceptor, AbstractFilteringMessageProcessor, AbstractResponseMessageProcessor, AbstractSplitter, AsyncInterceptingMessageProcessor, CxfInboundMessageProcessor, CxfOutboundMessageProcessor, ExceptionHandlingMessageProcessor, InterceptorStack, OutboundResponsePropertiesMessageProcessor, OutboundTxRollbackMessageProcessor, ReplyToPropertyRequestReplyReplier, SecurityFilterMessageProcessor, ServiceInternalMessageProcessor, ServiceOutboundMessageProcessor, SimpleRequestReplyReplier, StopFurtherMessageProcessingMessageProcessor, TimerInterceptor, TransactionalInterceptingMessageProcessor

    public abstract class AbstractInterceptingMessageProcessor

extends Object
implements InterceptingMessageProcessor

Abstract implementation of `InterceptingMessageProcessor` that simply provides an implementation of setNext and holds the next message processor as an attribute.

Field Summary
`protected Log` | `logger`
`protected MessageProcessor` | `next`

Constructor Summary
`AbstractInterceptingMessageProcessor()`

Method Summary
`protected MuleEvent` | `processNext(MuleEvent event)`
`void` | `setListener(MessageProcessor next)` Set the MessageProcessor listener on a message source which will be invoked when a message is received or generated.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.processor.MessageProcessor
`process`

Field Detail

### logger

    protected Log logger

### next

    protected MessageProcessor next

Constructor Detail

### AbstractInterceptingMessageProcessor

    public AbstractInterceptingMessageProcessor()

Method Detail

### setListener

    public void setListener(MessageProcessor next)

  Description copied from interface: `MessageSource`
  Set the MessageProcessor listener on a message source which will be invoked when a message is received or generated.

  Specified by:
    `setListener` in interface `MessageSource`

### processNext

    protected MuleEvent processNext(MuleEvent event)
                             throws MuleException

  Throws:
    `MuleException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.